;;;Handy AutoCAD-9
;;;Author: Alex Borodulin www.nyacad.com

;;GN FASTER ALIGN COMMAND

(DEFUN C:GN(/ gp)(setq gp (ssget))(COMMAND "align" gp "" (setq P1 (getpoint "\nSpecify 1st source point:"))
(setq P2 (getpoint "\nSpecify 1st destination point:"))
(setq P3 (getpoint "\nSpecify 2nd source point:"))
(setq P4 (getpoint "\nSpecify 2nd destination point:"))""""))

;;GM ROTATE-ALIGN COMMAND

(defun C:GM()
(setq gp (ssget))
(setq P0 (getpoint "\nROTATE-ALIGN...Rotation Around Point "))
(setq P2 (getpoint P0 "\nSource Point "))
(setq P1 (getpoint P2 "\nDestination Point "))
(setq ANGRAD (- (angle P1 P0)(angle P2 P0)))
(setq ANG (/ (* ANGRAD 180) pi))
(command "ROTATE" gp "" P0 ANG)
(PRINC))